Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xmerge
Class ConvertData

    java.lang.Object
      writer2latex.xmerge.ConvertData

All Implemented Interfaces:
  ConverterResult

    public class ConvertData

extends java.lang.Object
implements ConverterResult

`ConvertData` is used as a container for passing `OutputFile` objects in and out of the `Convert` class. The `ConvertData` contains a `String` name and a `Vector` of `OutputFile` objects.

Author:
  Martin Maher

Field Summary
`private OutputFile` | `masterDoc` Master doc
`private java.lang.String` | `name` Name of the `ConvertData` object.
`private java.util.Vector` | `v` Vector of `OutputFile` objects.

Constructor Summary
`ConvertData()`

Method Summary
`void` | `addDocument(OutputFile doc)` Adds a `OutputFile` to the vector.
`java.util.Enumeration` | `getDocumentEnumeration()` Gets an `Enumeration` to access the `Vector` of `OutputFile` objects
`OutputFile` | `getMasterDocument()` Get the master document
`java.lang.String` | `getName()` Returns the `OutputFile` name.
`int` | `getNumDocuments()` Gets the number of `OutputFile` objects currently stored
`boolean` | `isMasterDocument(OutputFile doc)` Check if a given document is the master document
`void` | `reset()` Resets ConvertData.
`void` | `setName(java.lang.String docName)` Sets the `OutputFile` name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v

    private java.util.Vector v

  Vector of `OutputFile` objects.

### masterDoc

    private OutputFile masterDoc

  Master doc

### name

    private java.lang.String name

  Name of the `ConvertData` object.

Constructor Detail

### ConvertData

    public ConvertData()

Method Detail

### reset

    public void reset()

  Resets ConvertData. This empties all `OutputFile` objects from this class. This allows reuse of a `ConvertData`.

### getName

    public java.lang.String getName()

  Returns the `OutputFile` name.

  Returns:
    The `OutputFile` name.

### setName

    public void setName(java.lang.String docName)

  Sets the `OutputFile` name.

  Parameters:
    `docName` - The name of the `OutputFile`.

### addDocument

    public void addDocument(OutputFile doc)

  Adds a `OutputFile` to the vector.

  Parameters:
    `doc` - The `OutputFile` to add.

### getMasterDocument

    public OutputFile getMasterDocument()

  Get the master document

  Specified by:
    `getMasterDocument` in interface `ConverterResult`
  Returns:
    `OutputFile` the master document

### isMasterDocument

    public boolean isMasterDocument(OutputFile doc)

  Check if a given document is the master document

  Parameters:
    `doc` - The `OutputFile` to check
  Returns:
    true if this is the master document

### getDocumentEnumeration

    public java.util.Enumeration getDocumentEnumeration()

  Gets an `Enumeration` to access the `Vector` of `OutputFile` objects

  Specified by:
    `getDocumentEnumeration` in interface `ConverterResult`
  Returns:
    The `Enumeration` to access the `Vector` of `OutputFile` objects.

### getNumDocuments

    public int getNumDocuments()

  Gets the number of `OutputFile` objects currently stored

  Returns:
    The number of `OutputFile` objects currently stored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD